AddCylinder Example

Using Programming Languages other than VBA

Sub AddCylinder()
	' This example creates a cylinder in model space.

	Dim cylinderObj As Acad3DSolid
	Dim radius As Double
	Dim center(0 To 2) As Double
	Dim height As Double

	' Define the cylinder
	center(0) = 0#: center(1) = 0#: center(2) = 0#
	radius = 5#
	height = 20#

	' Create the Cylinder (3DSolid) object in model space
	Set cylinderObj = ThisDrawing.ModelSpace.AddCylinder(center, radius, height)

	' Change the viewing direction of the viewport to better see the cylinder
	Dim NewDirection(0 To 2) As Double
	NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1
	ThisDrawing.ActiveViewport.direction = NewDirection
	ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport
	ZoomAll
End Sub

 

   Comments?